Pytest:
  script: |
    # untested, causes import error with Pytest >= 6.2.0
    # AK, 2020-12-13
    rm pytools/mpiwrap.py
    # just a forwarding shim, causes import error with Pytest >= 6.2.0
    # AK, 2020-12-13
    rm pytools/log.py

    export EXTRA_INSTALL="numpy"
    curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/build-and-test-py-project.sh
    . ./build-and-test-py-project.sh
  tags:
  - python3
  except:
  - tags
  artifacts:
    reports:
      junit: test/pytest.xml

Pytest without Numpy:
  script: |
    NO_DOCTESTS=1
    curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/build-and-test-py-project.sh
    . ./build-and-test-py-project.sh
  tags:
  - python3
  except:
  - tags
  artifacts:
    reports:
      junit: test/pytest.xml

# Examples:
#   script: |
#     EXTRA_INSTALL="numpy pymbolic"
#     curl -L -O https://tiker.net/ci-support-v0
#     . ./ci-support-v0
#     build_py_project_in_venv
#     run_examples
#   tags:
#   - python3
#   except:
#   - tags

Flake8:
  script:
  - curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/prepare-and-run-flake8.sh
  - . ./prepare-and-run-flake8.sh "$CI_PROJECT_NAME" test
  tags:
  - python3
  except:
  - tags

Mypy:
  script:
  - curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/prepare-and-run-mypy.sh
  - ". ./prepare-and-run-mypy.sh python3 mypy"
  tags:
  - python3
  except:
  - tags

Pylint:
  script:
  - EXTRA_INSTALL="pymbolic"
  - py_version=3
  - curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/prepare-and-run-pylint.sh
  - . ./prepare-and-run-pylint.sh "$CI_PROJECT_NAME" test/test_*.py
  tags:
  - python3
  except:
  - tags

Documentation:
  script:
  - EXTRA_INSTALL="numpy"
  - curl -L -O https://gitlab.tiker.net/inducer/ci-support/raw/main/build-docs.sh
  - ". ./build-docs.sh"
  tags:
  - python3

Downstream:
  parallel:
    matrix:
    - DOWNSTREAM_PROJECT: [loopy, pytato]
  tags:
  - large-node
  - "docker-runner"
  script: |
    curl -L -O https://tiker.net/ci-support-v0
    . ./ci-support-v0
    test_downstream "$DOWNSTREAM_PROJECT"

# vim: sw=2
